Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Static_Function_Node Class Reference

Keeps track of the symbol name for a function that is not linked in from a DLL, but is statically linked with the application. More...

`#include <Parse_Node.h>`

Inheritance diagram for ACE_Static_Function_Node:

[legend]
Collaboration diagram for ACE_Static_Function_Node:

[legend]
List of all members.

## Public Methods
ACE_EXPLICIT | ACE_Static_Function_Node (const ACE_TCHAR *func_name)
virtual void * | symbol (int &yyerrno, ACE_Service_Object_Exterminator *=0)
virtual | ~ACE_Static_Function_Node (void)
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
const ACE_TCHAR * | function_name_
| Name of the function that we're parsing.

## Detailed Description

Keeps track of the symbol name for a function that is not linked in from a DLL, but is statically linked with the application.

Note:
  This class is only meant for INTERNAL use by ACE.

## Constructor & Destructor Documentation

ACE_Static_Function_Node::ACE_Static_Function_Node | ( | const ACE_TCHAR * | func_name | ) |

ACE_Static_Function_Node::~ACE_Static_Function_Node | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void ACE_Static_Function_Node::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Location_Node.

void * ACE_Static_Function_Node::symbol | ( | int & | yyerrno,
|  | ACE_Service_Object_Exterminator * | = 0
| ) | `[virtual]`

| Implements ACE_Location_Node.

## Member Data Documentation

ACE_Static_Function_Node::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Location_Node.

const ACE_TCHAR* ACE_Static_Function_Node::function_name_`[private]`

| Name of the function that we're parsing.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Parse_Node.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Parse_Node.cpp